For the complete documentation index, see llms.txt. This page is also available as Markdown.

Application Package Assigned

Get

get

Retrieve the default assigned application package settings by Site ID.

Query parameters
siteIdinteger · int32Optional

The Site ID of the default assigned application package.

Responses
200

Success

application/json; api-version=1.0

Application Package Assigned

versionstring · nullableOptional

Application version

tagNamestring · nullableOptional

Application version tag name

tagIdinteger · int32 · nullableOptional

Application version tag ID

packageNamestring · nullableOptional

Assigned application package name

get
/api/AVD/DefaultSettings/SingleSession/AppPackageAssigned

Add

post

Add a default assigned application package.

Query parameters
siteIdinteger · int32Optional

The Site ID for which to add the assigned application package.

Body
packageNamestring · min: 1 · max: 255 · nullableRequired

The application package name. This must be the actual application package name used in the RAS farm.

versionstring · min: 1 · max: 255 · nullableRequired

The version of the application package. This must be the actual application package version used in the RAS farm.

Responses
post
/api/AVD/DefaultSettings/SingleSession/AppPackageAssigned

No content

Update

put

Update the default assigned application package settings with the specified Site ID.

Query parameters
siteIdinteger · int32Optional

The Site ID for which to modify the default assigned application package.

Body
packageNamestring · min: 1 · max: 255 · nullableRequired

The name of the application package for which to change the version. This must be the actual application package name used in the RAS farm.

versionstring · min: 1 · max: 255 · nullableRequired

The new version of the application package. This must be the actual application package version used in the RAS farm.

Responses
put
/api/AVD/DefaultSettings/SingleSession/AppPackageAssigned

No content

Delete

delete

Remove the default assigned application package.

Query parameters
siteIdinteger · int32Optional

Site ID for which to remove the assigned application package.

Body
packageNamestring · min: 1 · max: 255 · nullableRequired

The name of the application package for which to remove the assigned packaged application. This must be the actual application package name used in the RAS farm.

Responses
delete
/api/AVD/DefaultSettings/SingleSession/AppPackageAssigned

No content